Subject: Re: [bug#53995] [PATCH] gnu: rbw: Update to 1.4.3

From: Nicolas Graves <[email-masked]>
Date: Tue, 15 Feb 2022 08:50:35 +0100

Hi Maxime,

Do you mean updating packages and adding packages ?

I added two packages because they were now needed for rbw:
- rust-valuable-derive-0.1
- rust-valuable-0.1

Also I (maybe questionnably) updated 2 packages that are used elsewhere :
- rust-hyper-rustls-0.22 --> rust-hyper-rustls-0.23
- rust-tokio-rustls-0.22 --> rust-tokio-rustls-0.23

The sole "patch" I can see is that of rbw in rust-apps: the only change
is the deletion of now unneeded "relax-requirements".

Is it clearer ? What precisely can I split to ease the review ? Last
time I contributed, I made ~40 patches for each individual package
added, seemed too much.

Cheers,

Nicolas

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Nicolas Graves via Guix-patches via schreef op ma 14-02-2022 om 14:14
> [+0100]:
>> From 21a2bac84228cbe89a49526941a8b5319bd3f14b Mon Sep 17 00:00:00
>> 2001
>> From: Nicolas Graves <[email-masked]>
>> Date: Mon, 14 Feb 2022 13:55:44 +0100
>> Subject: [PATCH] gnu: rbw: Update to 1.4.3
>>
>> ---
>>  gnu/packages/crates-io.scm | 469 ++++++++++++++++++-----------------
>> --
>>  gnu/packages/rust-apps.scm | 107 ++++-----
>>  2 files changed, 275 insertions(+), 301 deletions(-)
>
> Could you split this patch in individual patches for updating packages
> and adding patches?  That would make reviewing easier.
>
> Greetings,
> Maxime.
>
> [[End of PGP Signed Part]]